Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class IO

    java.lang.Object
      de.grogra.pf.io.IO

    public final class IO

extends java.lang.Object

Field Summary
`static I18NBundle` | `I18N`
`static java.lang.String` | `PROJECT_FS`
`static char` | `SYSTEM_ID_SEPARATOR`

Method Summary
`static FilterSource` | `createPipeline(FilterSource source, IOFlavor targetFlavor)`
`static java.lang.String` | `getDescription(MimeType mt)`
`static MimeType` | `getMimeType(java.lang.String fileName)`
`static FileTypeItem.Filter[]` | `getReadableFileTypes(IOFlavor[] acceptableFlavors)`
`static FilterSource` | `getRoot(FilterSource source)`
`static FileTypeItem.Filter[]` | `getWritableFileTypes(IOFlavor sourceFlavor)`
`static FSFile` | `toFile(RegistryContext ctx, java.lang.String systemId)`
`static java.io.File` | `toLocalFile(java.lang.String systemIdOfFile)`
`static java.lang.String` | `toName(java.lang.String systemId)`
`static java.lang.String` | `toPath(java.lang.String systemId)`
`static java.lang.String` | `toSimpleName(java.lang.String systemId)`
`static java.lang.String` | `toSystemId(java.io.File file)`
`static java.lang.String` | `toSystemId(FileSystem fs, java.lang.Object file)`
`static java.lang.String` | `toSystemId(FileSystem fs, java.net.URL url)`
`static java.net.URL` | `toURL(RegistryContext ctx, java.lang.String systemId)`
`static void` | `writeXML(FilterSource xml, FileSystem fs, java.lang.String file, MimeType mimeType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N

    public static final I18NBundle I18N

### PROJECT_FS

    public static final java.lang.String PROJECT_FS

See Also:
  Constant Field Values

### SYSTEM_ID_SEPARATOR

    public static final char SYSTEM_ID_SEPARATOR

See Also:
  Constant Field Values

Method Detail

### createPipeline

    public static FilterSource createPipeline(FilterSource source,
                                              IOFlavor targetFlavor)

### getDescription

    public static java.lang.String getDescription(MimeType mt)

### getMimeType

    public static MimeType getMimeType(java.lang.String fileName)

### getReadableFileTypes

    public static FileTypeItem.Filter[] getReadableFileTypes(IOFlavor[] acceptableFlavors)

### getRoot

    public static FilterSource getRoot(FilterSource source)

### getWritableFileTypes

    public static FileTypeItem.Filter[] getWritableFileTypes(IOFlavor sourceFlavor)

### toFile

    public static FSFile toFile(RegistryContext ctx,
                                java.lang.String systemId)

### toLocalFile

    public static java.io.File toLocalFile(java.lang.String systemIdOfFile)

### toName

    public static java.lang.String toName(java.lang.String systemId)

### toPath

    public static java.lang.String toPath(java.lang.String systemId)

### toSimpleName

    public static java.lang.String toSimpleName(java.lang.String systemId)

### toSystemId

    public static java.lang.String toSystemId(java.io.File file)

### toSystemId

    public static java.lang.String toSystemId(FileSystem fs,
                                              java.lang.Object file)

### toSystemId

    public static java.lang.String toSystemId(FileSystem fs,
                                              java.net.URL url)

### toURL

    public static java.net.URL toURL(RegistryContext ctx,
                                     java.lang.String systemId)
                              throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### writeXML

    public static void writeXML(FilterSource xml,
                                FileSystem fs,
                                java.lang.String file,
                                MimeType mimeType)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD